# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::WordWrapInterface Class Reference

This is an interface to control fixed-column word-wrapping of a Document. More...

`#include <wordwrapinterface.h>`

List of all members.

## Public Member Functions

unsigned int | wordWrapInterfaceNumber () const
virtual void | setWordWrap (bool)=0
virtual bool | wordWrap ()=0
virtual void | setWordWrapAt (unsigned int)=0
virtual unsigned int | wordWrapAt ()=0

## Protected Member Functions

void | setWordWrapInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateWordWrapInterface

## Detailed Description

This is an interface to control fixed-column word-wrapping of a Document.

Definition at line 33 of file wordwrapinterface.h.

The documentation for this class was generated from the following files:

- wordwrapinterface.h
- wordwrapinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:19 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003